<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'ywson_is_raq_active' ) ) {
	/**
	 * check if YITH WooCommerce Request a quote premium is active
	 * @author Salvatore Strano
	 * @since 1.0.0
	 * @return bool
	 */
	function ywson_is_raq_active() {

		$is_quote_active = ( defined( 'YITH_YWRAQ_PREMIUM' ) && ( version_compare( YITH_YWRAQ_VERSION, '1.5.7', '>=' ) ) );

		return $is_quote_active;

	}
}

if ( ! function_exists( 'ywson_get_order_with_custom_order_number' ) ) {

	/**
	 * Add query args to get all orders with sequential order number generated by WooCommerce Sequential Order Numbers
	 * @author Salvatore Strano
	 * @since 1.1.0
	 * @hook woocommerce_order_data_store_cpt_get_orders_query
	 *
	 * @param array $query
	 * @param array $query_args
	 *
	 * @return array
	 */
	function ywson_get_order_with_custom_order_number( $query, $query_args ) {


		if ( isset( $query_args['_ywson_custom_number_order_complete'] )  ) {
			$query['meta_query'] = array(

				array(
					'key'     => '_ywson_custom_number_order_complete',
					'compare' => 'NOT EXISTS'
				),

			);
		}


		return $query;
	}
}